# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_inisettingsfile`](#dsc_inisettingsfile): The DSC IniSettingsFile resource type. Automatically generated from version 1.3.0.151
* [`dsc_keyvaluepairfile`](#dsc_keyvaluepairfile): The DSC KeyValuePairFile resource type. Automatically generated from version 1.3.0.151
* [`dsc_replacetext`](#dsc_replacetext): The DSC ReplaceText resource type. Automatically generated from version 1.3.0.151

## Resource types

### <a name="dsc_inisettingsfile"></a>`dsc_inisettingsfile`

The DSC IniSettingsFile resource type.
Automatically generated from version 1.3.0.151

#### Properties

The following properties are available in the `dsc_inisettingsfile` type.

##### `dsc_text`

Data type: `Optional[String]`

The text to set the entry value to. Only used when Type is set to 'Text'.

##### `dsc_type`

Data type: `Optional[Enum['Text', 'Secret']]`

Specifies the value type that contains the value to set the entry to. Defaults to 'Text'.

#### Parameters

The following parameters are available in the `dsc_inisettingsfile` type.

* [`dsc_key`](#dsc_key)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_secret`](#dsc_secret)
* [`dsc_section`](#dsc_section)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_key"></a>`dsc_key`

namevar

Data type: `String`

The name of the key to add or set in the section.

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

The path to the INI settings file to set the entry in.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_secret"></a>`dsc_secret`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The secret text to set the entry value to. Only used when Type is set to 'Secret'.

##### <a name="dsc_section"></a>`dsc_section`

namevar

Data type: `String`

The section to add or set the entry in.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_keyvaluepairfile"></a>`dsc_keyvaluepairfile`

The DSC KeyValuePairFile resource type.
Automatically generated from version 1.3.0.151

#### Properties

The following properties are available in the `dsc_keyvaluepairfile` type.

##### `dsc_encoding`

Data type: `Optional[Enum['ASCII', 'BigEndianUnicode', 'BigEndianUTF32', 'UTF8', 'UTF32']]`

Specifies the file encoding. Defaults to ASCII

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies the if the key value pair with the specified key should exist in the file.

##### `dsc_ignorenamecase`

Data type: `Optional[Boolean]`

Ignore the case of the name of the key. Defaults to $False.

##### `dsc_ignorevaluecase`

Data type: `Optional[Boolean]`

Ignore the case of any text or secret when determining if it they need to be updated. Defaults to $False.

##### `dsc_text`

Data type: `Optional[String]`

The text to replace the value with in the identified key. Only used when Type is set to 'Text'.

##### `dsc_type`

Data type: `Optional[Enum['Text', 'Secret']]`

Specifies the value type to use as the replacement string. Defaults to 'Text'.

#### Parameters

The following parameters are available in the `dsc_keyvaluepairfile` type.

* [`dsc_name`](#dsc_name)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_secret`](#dsc_secret)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

The name of the key.

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

The path to the key value pair text file.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_secret"></a>`dsc_secret`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The secret text to replace the value with in the identified key. Only used when Type is set to 'Secret'.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_replacetext"></a>`dsc_replacetext`

The DSC ReplaceText resource type.
Automatically generated from version 1.3.0.151

#### Properties

The following properties are available in the `dsc_replacetext` type.

##### `dsc_allowappend`

Data type: `Optional[Boolean]`

Specifies to append text to the file being modified. Adds the ability to add a configuration entry.

##### `dsc_encoding`

Data type: `Optional[Enum['ASCII', 'BigEndianUnicode', 'BigEndianUTF32', 'UTF8', 'UTF32']]`

Specifies the file encoding. Defaults to ASCII

##### `dsc_text`

Data type: `Optional[String]`

The text to replace the text identified by the RegEx. Only used when Type is set to 'Text'.

##### `dsc_type`

Data type: `Optional[Enum['Text', 'Secret']]`

Specifies the value type to use as the replacement string. Defaults to 'Text'.

#### Parameters

The following parameters are available in the `dsc_replacetext` type.

* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_search`](#dsc_search)
* [`dsc_secret`](#dsc_secret)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

The path to the text file to replace the string in.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_search"></a>`dsc_search`

namevar

Data type: `String`

The RegEx string to use to search the text file.

##### <a name="dsc_secret"></a>`dsc_secret`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The secret text to replace the text identified by the RegEx. Only used when Type is set to 'Secret'.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

